/**
 * @license
 * Copyright 2021 Mark Friedman
 * SPDX-License-Identifier: Apache-2.0
 */

/**
 * @fileoverview Translatable messages used in lexical variable code.
 * @author mark.friedman@gmail.com (Mark Friedman)
 * Based on code from MIT App Inventor
 */

import * as Blockly from 'blockly/core';

Blockly.Msg['LANG_VARIABLES_GLOBAL_DECLARATION_TITLE_INIT'] =
    'initialize global';
Blockly.Msg['LANG_VARIABLES_GLOBAL_DECLARATION_NAME'] = 'name';
Blockly.Msg['LANG_VARIABLES_GLOBAL_DECLARATION_TO'] = 'to';
Blockly.Msg['LANG_VARIABLES_GLOBAL_DECLARATION_COLLAPSED_TEXT'] = 'global';
Blockly.Msg['LANG_VARIABLES_GLOBAL_DECLARATION_TOOLTIP'] =
    'Creates a global variable and gives it the value of the attached blocks.';
Blockly.Msg['LANG_VARIABLES_GLOBAL_PREFIX'] = 'global';
Blockly.Msg['LANG_VARIABLES_GET_TITLE_GET'] = 'get';
Blockly.Msg['LANG_VARIABLES_GET_COLLAPSED_TEXT'] = 'get';
Blockly.Msg['LANG_VARIABLES_GET_TOOLTIP'] =
    'Returns the value of this variable.';
Blockly.Msg['LANG_VARIABLES_SET_TITLE_SET'] = 'set';
Blockly.Msg['LANG_VARIABLES_SET_TITLE_TO'] = 'to';
Blockly.Msg['LANG_VARIABLES_SET_COLLAPSED_TEXT'] = 'set';
Blockly.Msg['LANG_VARIABLES_SET_TOOLTIP'] =
    'Sets this variable to be equal to the input.';
Blockly.Msg['LANG_VARIABLES_VARIABLE'] = ' variable';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_TITLE_INIT'] = 'initialize local';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_DEFAULT_NAME'] = 'name';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_INPUT_TO'] = 'to';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_IN_DO'] = 'in';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_COLLAPSED_TEXT'] = 'local';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_TOOLTIP'] =
    'Allows you to create variables that are only accessible in the do part' +
    ' of this block.';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_TRANSLATED_NAME'] =
    'initialize local in do';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_EXPRESSION_IN_RETURN'] = 'in';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_EXPRESSION_COLLAPSED_TEXT'] =
    'local';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_EXPRESSION_TOOLTIP'] =
    'Allows you to create variables that are only accessible in the return' +
    ' part of this block.';
Blockly.Msg['LANG_VARIABLES_LOCAL_DECLARATION_EXPRESSION_TRANSLATED_NAME'] =
    'initialize local in return';
Blockly.Msg['LANG_VARIABLES_LOCAL_MUTATOR_CONTAINER_TITLE_LOCAL_NAMES'] =
    'local names';
Blockly.Msg['LANG_VARIABLES_LOCAL_MUTATOR_CONTAINER_TOOLTIP'] = '';
Blockly.Msg['LANG_VARIABLES_LOCAL_MUTATOR_ARG_TITLE_NAME'] = 'name';
Blockly.Msg['LANG_VARIABLES_LOCAL_MUTATOR_ARG_DEFAULT_VARIABLE'] = 'x';
Blockly.Msg['LANG_PROCEDURES_DEFNORETURN_DEFINE'] = 'to';
Blockly.Msg['LANG_PROCEDURES_DEFNORETURN_PROCEDURE'] = 'procedure';
Blockly.Msg['LANG_PROCEDURES_DEFNORETURN_DO'] = 'do';
Blockly.Msg['LANG_PROCEDURES_DEFNORETURN_COLLAPSED_PREFIX'] = 'to ';
Blockly.Msg['LANG_PROCEDURES_DEFNORETURN_TOOLTIP'] =
    'A procedure that does not return a value.';
Blockly.Msg['LANG_PROCEDURES_DOTHENRETURN_THEN_RETURN'] = 'result';
Blockly.Msg['LANG_PROCEDURES_DOTHENRETURN_DO'] = 'do';
Blockly.Msg['LANG_PROCEDURES_DOTHENRETURN_RETURN'] = 'result';
Blockly.Msg['LANG_PROCEDURES_DOTHENRETURN_TOOLTIP'] =
    'Runs the blocks in \'do\' and returns a statement. Useful if you need' +
    ' to run a procedure before returning a value to a variable.';
Blockly.Msg['LANG_PROCEDURES_DOTHENRETURN_COLLAPSED_TEXT'] = 'do/result';
Blockly.Msg['LANG_PROCEDURES_DEFRETURN_DEFINE'] = 'to';
Blockly.Msg['LANG_PROCEDURES_DEFRETURN_PROCEDURE'] = 'procedure';
Blockly.Msg['LANG_PROCEDURES_DEFRETURN_RETURN'] = 'result';
Blockly.Msg['LANG_PROCEDURES_DEFRETURN_COLLAPSED_PREFIX'] = 'to ';
Blockly.Msg['LANG_PROCEDURES_DEFRETURN_TOOLTIP'] =
    'A procedure returning a result value.';
Blockly.Msg['LANG_PROCEDURES_DEF_DUPLICATE_WARNING'] =
    'Warning:\nThis procedure has\nduplicate inputs.';
Blockly.Msg['LANG_PROCEDURES_CALLNORETURN_CALL'] = 'call ';
Blockly.Msg['LANG_PROCEDURES_CALLNORETURN_PROCEDURE'] = 'procedure';
Blockly.Msg['LANG_PROCEDURES_CALLNORETURN_COLLAPSED_PREFIX'] = 'call ';
Blockly.Msg['LANG_PROCEDURES_CALLNORETURN_TOOLTIP'] =
    'Call a procedure with no return value.';
Blockly.Msg['LANG_PROCEDURES_CALLNORETURN_TRANSLATED_NAME'] = 'call no return';
Blockly.Msg['LANG_PROCEDURES_CALLRETURN_CALL'] = 'call ';
Blockly.Msg['LANG_PROCEDURES_CALLRETURN_PROCEDURE'] = 'procedure';
Blockly.Msg['LANG_PROCEDURES_CALLRETURN_COLLAPSED_PREFIX'] = 'call ';
Blockly.Msg['LANG_PROCEDURES_CALLRETURN_TOOLTIP'] =
    'Call a procedure with a return value.';
Blockly.Msg['LANG_PROCEDURES_CALLRETURN_TRANSLATED_NAME'] = 'call return';
Blockly.Msg['LANG_PROCEDURES_MUTATORCONTAINER_TITLE'] = 'inputs';
Blockly.Msg['LANG_PROCEDURES_MUTATORARG_TITLE'] = 'input:';
Blockly.Msg['LANG_PROCEDURES_HIGHLIGHT_DEF'] = 'Highlight Procedure';
Blockly.Msg['LANG_PROCEDURES_MUTATORCONTAINER_TOOLTIP'] = '';
Blockly.Msg['LANG_PROCEDURES_MUTATORARG_TOOLTIP'] = '';
Blockly.Msg['LANG_CONTROLS_FOR_INPUT_WITH'] = 'count with';
Blockly.Msg['LANG_CONTROLS_FOR_INPUT_VAR'] = 'x';
Blockly.Msg['LANG_CONTROLS_FOR_INPUT_FROM'] = 'from';
Blockly.Msg['LANG_CONTROLS_FOR_INPUT_TO'] = 'to';
Blockly.Msg['LANG_CONTROLS_FOR_INPUT_DO'] = 'do';
Blockly.Msg['LANG_CONTROLS_FOR_TOOLTIP'] =
    'Count from a start number to an end number.\nFor each count, set the' +
    ' current count number to\nvariable \'%1\', and then do some statements.';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_ITEM'] = 'for each';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_VAR'] = 'number';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_START'] = 'from';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_END'] = 'to';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_STEP'] = 'by';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_DO'] = 'do';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_COLLAPSED_TEXT'] =
    'for number in range';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_COLLAPSED_PREFIX'] = 'for';
Blockly.Msg['LANG_CONTROLS_FORRANGE_INPUT_COLLAPSED_SUFFIX'] = ' in range';
Blockly.Msg['LANG_CONTROLS_FORRANGE_TOOLTIP'] =
    'Runs the blocks in the \'do\' section for each numeric value in the' +
    ' range from start to end, stepping the value each time.  Use the given' +
    ' variable name to refer to the current value.';
Blockly.Msg['LANG_CONTROLS_FOREACH_INPUT_ITEM'] = 'for each';
Blockly.Msg['LANG_CONTROLS_FOREACH_INPUT_VAR'] = 'item';
Blockly.Msg['LANG_CONTROLS_FOREACH_INPUT_INLIST'] = 'in list';
Blockly.Msg['LANG_CONTROLS_FOREACH_INPUT_DO'] = 'do';
Blockly.Msg['LANG_CONTROLS_FOREACH_INPUT_COLLAPSED_TEXT'] = 'for item in list';
Blockly.Msg['LANG_CONTROLS_FOREACH_INPUT_COLLAPSED_PREFIX'] = 'for ';
Blockly.Msg['LANG_CONTROLS_FOREACH_INPUT_COLLAPSED_SUFFIX'] = ' in list';
Blockly.Msg['LANG_CONTROLS_FOREACH_TOOLTIP'] =
    'Runs the blocks in the \'do\'  section for each item in the list.  Use' +
    ' the given variable name to refer to the current list item.';
Blockly.Msg['LANG_CONTROLS_FOREACH_DICT_INPUT'] =
    'for each %1 with %2 in dictionary %3';
Blockly.Msg['LANG_CONTROLS_FOREACH_DICT_INPUT_DO'] = 'do';
Blockly.Msg['LANG_CONTROLS_FOREACH_DICT_INPUT_KEY'] = 'key';
Blockly.Msg['LANG_CONTROLS_FOREACH_DICT_INPUT_VALUE'] = 'value';
Blockly.Msg['LANG_CONTROLS_FOREACH_DICT_TITLE'] = 'for each in dictionary';
Blockly.Msg['LANG_CONTROLS_FOREACH_DICT_TOOLTIP'] =
    'Runs the blocks in the \'do\' section for each key-value entry in the' +
    ' dictionary. Use the given variable names to refer to the key/value of' +
    ' the current dictionary item.';
Blockly.Msg['ERROR_SELECT_VALID_ITEM_FROM_DROPDOWN'] =
    'Select a valid item in the drop down.';
Blockly.Msg['ERROR_BLOCK_CANNOT_BE_IN_DEFINITION'] =
    'This block cannot be in a definition';
Blockly.Msg['HORIZONTAL_PARAMETERS'] = 'Arrange Parameters Horizontally';
Blockly.Msg['VERTICAL_PARAMETERS'] = 'Arrange Parameters Vertically';
Blockly.Msg['LANG_CONTROLS_DO_THEN_RETURN_INPUT_DO'] = 'do';
Blockly.Msg['LANG_CONTROLS_DO_THEN_RETURN_INPUT_RETURN'] = 'result';
Blockly.Msg['LANG_CONTROLS_DO_THEN_RETURN_TOOLTIP'] =
    'Runs the blocks in \'do\' and returns a statement. Useful if you need to' +
    ' run a procedure before returning a value to a variable.';
Blockly.Msg['LANG_CONTROLS_DO_THEN_RETURN_COLLAPSED_TEXT'] = 'do/result';
Blockly.Msg['LANG_CONTROLS_DO_THEN_RETURN_TITLE'] = 'do result';
Blockly.Msg['PROCEDURES_DEFNORETURN_PROCEDURE'] = Blockly.Msg['LANG_PROCEDURES_DEFNORETURN_PROCEDURE'];
Blockly.Msg['PROCEDURES_DEFRETURN_PROCEDURE'] = Blockly.Msg['LANG_PROCEDURES_DEFRETURN_PROCEDURE'];
